GDAL-VECTOR(1)

NAME
gdal-vector - Entry point for vector commands

Added in version 3.11.

SYNOPSIS

    Usage: gdal vector <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - buffer:              Compute a buffer around geometries of a vector dataset.
      - check-coverage:      Check a polygon coverage for validity
      - check-geometry:      Check a dataset for invalid geometries
      - clean-coverage:      Alter polygon boundaries to make shared edges identical, removing gaps and overlaps
      - clip:                Clip a vector dataset.
      - concat:              Concatenate vector datasets.
      - convert:             Convert a vector dataset.
      - edit:                Edit metadata of a vector dataset.
      - explode-collections: Explode geometries of type collection of a vector dataset.
      - filter:              Filter a vector dataset.
      - grid:                Create a regular grid from scattered points.
      - index:               Create a vector index of vector datasets.
      - info:                Return information on a vector dataset.
      - layer-algebra:       Perform algebraic operation between 2 layers.
      - make-point:          Create point geometries from attribute fields
      - make-valid:          Fix validity of geometries of a vector dataset.
      - partition:           Partition a vector dataset into multiple files.
      - pipeline:            Process a vector dataset applying several steps.
      - rasterize:           Burns vector geometries into a raster.
      - reproject:           Reproject a vector dataset.
      - segmentize:          Segmentize geometries of a vector dataset.
      - select:              Select a subset of fields from a vector dataset.
      - set-field-type:      Modify the type of a field of a vector dataset.
      - set-geom-type:       Modify the geometry type of a vector dataset.
      - simplify:            Simplify geometries of a vector dataset.
      - simplify-coverage:   Simplify shared boundaries of a polygonal vector dataset.
      - sql:                 Apply SQL statement(s) to a dataset.
      - swap-xy:             Swap X and Y coordinates of geometries of a vector dataset.
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]
    Options:
      --drivers               Display vector driver list as JSON document and exit

AVAILABLE SUB-COMMANDS

•   gdal vector clip

•   gdal vector concat

•   gdal vector convert

•   gdal vector edit

•   gdal vector filter

•   gdal vector index

•   gdal vector info

•   gdal vector layer-algebra

•   gdal vector partition

•   gdal vector pipeline

•   gdal vector rasterize

•   gdal vector reproject

•   gdal vector select

•   gdal vector set-field-type

•   gdal vector set-geom-type

•   gdal vector sql

EXAMPLES

  Example 1: Getting information on the file poly.gpkg (with text output)

    $ gdal vector info poly.gpkg

  Example 2: Converting file poly.gpkg to Esri File Geodatabase

    $ gdal vector convert --format=OpenFileGDB poly.gpkg poly.gdb

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025